https://management-test.adyen.com/v1/merchants/{merchantId}/storesReturns a list of stores for the merchant account identified in the path. The list is grouped into pages as defined by the query parameters. To make this request, your API credential must have one of the following roles: * Management API—Stores read * Management API—Stores read and write
The unique identifier of the merchant account.
The number of the page to fetch.
The number of items to have on a page, maximum 100. The default is 10 items on a page.
The reference of the store.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'https://management-test.adyen.com/v1/merchants/{merchantId}/stores' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}https://management-test.adyen.com/v1/merchants/{merchantId}/storesReturns a list of stores for the merchant account identified in the path. The list is grouped into pages as defined by the query parameters. To make this request, your API credential must have one of the following roles: * Management API—Stores read * Management API—Stores read and write
The unique identifier of the merchant account.
The number of the page to fetch.
The number of items to have on a page, maximum 100. The default is 10 items on a page.
The reference of the store.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'https://management-test.adyen.com/v1/merchants/{merchantId}/stores' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}